View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
15728Bug reportsSurvey editingpublic2020-01-28 17:44
Reportertpartner Assigned Tomarkusfluer 
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Target Version4.0.x 
Summary15728: Additional languages not displayed when using Sourcecode editor
DescriptionThe question text editor does not switch between languages when using Sourcecode HTML editor mode.

See screen-cast - https://screencast-o-matic.com/watch/cYVDDavG3O
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.0.0
I will donate to the project if issue is resolvedNo
BrowserN/A
Database type & versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Relationships

related to 15730 closedmarkusfluer The "Script" input element does not change with language 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

markusfluer

markusfluer

2020-01-22 13:29

administrator   ~55429

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29429
lime_release_bot

lime_release_bot

2020-01-28 17:44

administrator   ~55538

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master c0e4e2df

2020-01-20 16:06:39

markusfluer

Details Diff
Fixed issue 15728: Additional languages not displayed when using Sourcecode editor
Fixed issue 15730: The "Script" input element does not change with language
Affected Issues
15728, 15730
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/components/mainEditor.vue Diff File
mod - assets/packages/questioneditor/src/helperComponents/AceEditor.vue Diff File
mod - assets/packages/questioneditor/src/storage/mutations.js Diff File

Issue History

Date Modified Username Field Change
2020-01-16 17:52 tpartner New Issue
2020-01-16 17:52 tpartner Status new => assigned
2020-01-16 17:52 tpartner Assigned To => cdorin
2020-01-16 18:10 cdorin Priority none => normal
2020-01-16 19:10 DenisChenu Relationship added related to 15730
2020-01-22 13:29 markusfluer Changeset attached => LimeSurvey master c0e4e2df
2020-01-22 13:29 markusfluer Note Added: 55429
2020-01-22 13:29 markusfluer Assigned To cdorin => markusfluer
2020-01-22 13:29 markusfluer Resolution open => fixed
2020-01-28 17:44 lime_release_bot Note Added: 55538
2020-01-28 17:44 lime_release_bot Status assigned => closed